




	.toc
	.tc  	main[tc], main[ds]
	.extern  	_mFargc[rw]
T._mFargc:
	.tc  	_mFargc[tc],_mFargc[rw]
	.extern  	_mFargv[rw]
T._mFargv:
	.tc  	_mFargv[tc],_mFargv[rw]
	.extern  	&mFNAME[ds]
T.&mFNAME:
	.tc  	&mFNAME[tc],&mFNAME[ds]
.csect main[ds] ; .globl main[ds] ; .long .main , TOC[tc0] , 0
	.csect [pr]
.globl .main ; .main:
	lwz	11,T._mFargc(2)
	lwz	12,T._mFargv(2)
	mflr	0
	stu	1,-56(1)
	stw	3,0(11)			# _mFargc = argc;
	stw	4,0(12)			# _mFargv = argv;
	stw	0,8+56(1)
	lwz	3,T.&mFNAME(2)
	.extern  	._mFgmain
	bl	._mFgmain		# _mFgmain(EntryPoint);
	nop
	lwz	0,8+56(1)	# set up LR with return addr
	mtctr	0
	la	1,56(1)
	bctr				# }
tbtab:
	.long	0		# trace back table marker
	.byte	0		# version 0
	.byte	12		# assembler
	.byte	0x20		# has codelen
	.byte	0x41		# name present, saves LR
	.byte	0x80		# saves back chain, no FPR saved
	.byte	0		# no GPR saved
	.byte	3		# main() has 3 params
	.byte	0		# no FPR params, don't save param on stack
	.long	0		# all param fixed
	.long	tbtab - .main	# codelen
	.short	4
	.string "main"
	.align 2
